Exec Format error when installing action_text

I am trying to install action_text to use in a project and i am getting the error shown in the screenshot. the second screenshot is shows error i got while trying to troubleshoot, just thought i add the second screenshot as it might help in figuring out why i am getting the original error while trying to install action_text. Main aim is to install action_text. I am sure installing action text will work on other version, just wonder why it is not working with the current versions of rails, ruby and yarn, as shown in screenshot

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs